#version 330 core

in vec2 TexCoords;

uniform sampler2D lightTexture;
uniform sampler2D colorTexture;
uniform vec2 texelSize;

out vec4 fragColor;

void main() {
    vec2 inputCoords = TexCoords;

    float lightIntensity = texture(lightTexture, inputCoords).r;

    vec4 sceneColor = texture(colorTexture, inputCoords);

    vec4 whiteOverlay = vec4(vec3(1.0) * lightIntensity, 0.0);
    fragColor = sceneColor + whiteOverlay;
}
